Closed Bug 565259 Opened 10 years ago Closed 10 years ago

Timeout after browser_signed_trigger.js | must wait for focus

Categories

(Toolkit :: Add-ons Manager, defect)

x86_64
Linux
defect
Not set
normal

Tracking

()

VERIFIED FIXED
mozilla2.0b7

People

(Reporter: philor, Unassigned)

References

Details

(Keywords: intermittent-failure)

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1273645788.1273647971.4522.gz
Rev3 Fedora 12x64 mozilla-central debug test mochitest-other on 2010/05/11 23:29:48
s: talos-r3-fed64-003

I think we all know the pattern by now...

TEST-PASS | chrome://mochikit/content/browser/toolkit/mozapps/extensions/test/xpinstall/browser_signed_trigger.js | Should be no active installs at the end of the test
###!!! ASSERTION: Uh, IsInModalState() called w/o a reachable top window?: 'Error', file /builds/slave/mozilla-central-linux64-debug/build/dom/base/nsGlobalWindow.cpp, line 5966
(...)
TEST-INFO | checking window state
TEST-INFO | (browser-test.js) | Waiting for window activation...
(bunch of GC while nothing else is happening)
TEST-UNEXPECTED-FAIL | automation.py | application timed out after 330 seconds with no output
Hopefully these are all the same thing, not that I have a clue what yet though
Depends on: 562803
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1273951881.1273953932.4653.gz
Rev3 Fedora 12x64 mozilla-central debug test mochitest-other on 2010/05/15 12:31:21
s: talos-r3-fed64-011
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274181638.1274183995.13222.gz
Rev3 Fedora 12x64 mozilla-central debug test mochitest-other on 2010/05/18 04:20:38
s: talos-r3-fed64-031
This should be fixed my patch in bug 543278.

Please reopen if you see this on trunk from this point on.
Assignee: nobody → ehsan
Status: NEW → RESOLVED
Closed: 10 years ago
Depends on: 543278
Resolution: --- → FIXED
Whiteboard: [orange] → [orange][fixed by bug 543278]
Flags: in-testsuite-
Whiteboard: [orange][fixed by bug 543278] → [fixed by bug 543278] [orange]
Target Milestone: --- → mozilla1.9.3a5
I'm out of ideas here.  We probably need someone who knows about the internals of the focus code and how it works on Linux to help here.
Assignee: ehsan → nobody
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
Flags: in-testsuite-
Summary: Timeout from or after browser_signed_trigger.js with browser-test.js | Waiting for window activation → Timeout after browser_signed_trigger.js | must wait for focus
Whiteboard: [fixed by bug 543278] [orange] → [orange]
Target Milestone: mozilla1.9.3a5 → ---
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274666099.1274668010.32597.gz
Rev3 Fedora 12 mozilla-central debug test mochitest-other on 2010/05/23 18:54:59
s: talos-r3-fed-026
Good thing the Linux focus failure that this was actually about has gone away, so we can morph the bug into this new Mac browser_signed_trigger + test_cocoa_focus thing.
I'm going to claim that if this hasn't gone away by itself then it is fixed by bug 579540
Status: REOPENED → RESOLVED
Closed: 10 years ago10 years ago
Depends on: 579540
Resolution: --- → FIXED
Status: RESOLVED → VERIFIED
Flags: in-testsuite-
Flags: in-litmus-
Target Milestone: --- → mozilla2.0b7
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.